apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: '[]'
    capabilities: Basic Install
    categories: Networking
    certified: "false"
    containerImage: quay.io/pliurh/sriov-network-operator-manager:bd1
    createdAt: 2019/04/30
    description: An operator for configuring SR-IOV components and initializing SRIOV
      network devices in Openshift cluster.
    olm.skipRange: '>=4.3.0-0 <4.9.0'
    operatorframework.io/suggested-namespace: openshift-sriov-network-operator
    operators.openshift.io/infrastructure-features: '["disconnected", "cni"]'
    repository: https://github.com/k8snetworkplumbingwg/sriov-network-operator
    support: Red Hat
    target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
  labels:
    operatorframework.io/arch.amd64: supported
    operatorframework.io/arch.ppc64le: supported
  name: sriov-network-operator.v0.0.0
  namespace: openshift-sriov-network-operator
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: SriovIBNetwork is the Schema for the sriovibnetworks API
      displayName: Sriov IBNetwork
      kind: SriovIBNetwork
      name: sriovibnetworks.sriovnetwork.openshift.io
      version: v1
    - description: SriovNetworkNodePolicy is the Schema for the sriovnetworknodepolicies
        API
      displayName: Sriov Network Node Policy
      kind: SriovNetworkNodePolicy
      name: sriovnetworknodepolicies.sriovnetwork.openshift.io
      version: v1
    - description: SriovNetworkNodeState is the Schema for the sriovnetworknodestates
        API
      displayName: Sriov Network Node State
      kind: SriovNetworkNodeState
      name: sriovnetworknodestates.sriovnetwork.openshift.io
      version: v1
    - description: SriovNetwork is the Schema for the sriovnetworks API
      displayName: Sriov Network
      kind: SriovNetwork
      name: sriovnetworks.sriovnetwork.openshift.io
      version: v1
    - description: SriovOperatorConfig is the Schema for the sriovoperatorconfigs
        API
      displayName: Sriov Operator Config
      kind: SriovOperatorConfig
      name: sriovoperatorconfigs.sriovnetwork.openshift.io
      version: v1
  description: |
    # SR-IOV Network Operator for Openshift

    ## Introduction
    The sriov-network-operator is generally responsible for configuring the sriov components in a openshift cluster.

    ### Supported Features
    * Initialize the SR-IOV NICs on nodes.
    * provision SR-IOV device plugin on selected node.
    * provision SR-IOV CNI plugin on selected nodes.
    * manage configuration of SR-IOV device plugin.
    * generate net-att-def CRs for SR-IOV CNI plugin.

    This operator has to run in namespace 'openshift-sriov-network-operator'. An Operator Group is also required to install this operator:

    ```
    $ oc create namespace openshift-sriov-network-operator

    $ oc create -f - <<EOF
    apiVersion: operators.coreos.com/v1
    kind: OperatorGroup
    metadata:
      name: sriov-network-operators
      namespace: openshift-sriov-network-operator
    spec:
      targetNamespaces:
      - openshift-sriov-network-operator
    EOF
    ```
  displayName: SR-IOV Network Operator
  icon:
  - base64data: [encoded data, 67352 characters]
    mediatype: image/png
  install:
    spec:
      deployments:
      - name: sriov-network-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: sriov-network-operator
          strategy: {}
          template:
            metadata:
              annotations:
                target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
              labels:
                name: sriov-network-operator
            spec:
              containers:
              - command:
                - sriov-network-operator
                env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.namespace
                - name: SRIOV_CNI_IMAGE
                  value: quay.io/openshift/origin-sriov-cni:4.9
                - name: SRIOV_DEVICE_PLUGIN_IMAGE
                  value: quay.io/openshift/origin-sriov-network-device-plugin:4.9
                - name: NETWORK_RESOURCES_INJECTOR_IMAGE
                  value: quay.io/openshift/origin-sriov-dp-admission-controller:4.9
                - name: OPERATOR_NAME
                  value: sriov-network-operator
                - name: SRIOV_NETWORK_CONFIG_DAEMON_IMAGE
                  value: quay.io/openshift/origin-sriov-network-config-daemon:4.9
                - name: SRIOV_NETWORK_WEBHOOK_IMAGE
                  value: quay.io/openshift/origin-sriov-network-webhook:4.9
                - name: SRIOV_INFINIBAND_CNI_IMAGE
                  value: quay.io/openshift/origin-sriov-infiniband-cni:4.9
                - name: SRIOV_OPERATOR_MUST_GATHER_IMAGE
                  value: quay.io/openshift/origin-sriov-operator-must-gather:4.9
                - name: RESOURCE_PREFIX
                  value: openshift.io
                - name: ENABLE_ADMISSION_CONTROLLER
                  value: "true"
                - name: NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.namespace
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: RELEASE_VERSION
                  value: 4.9.0
                image: quay.io/pliurh/sriov-network-operator-manager:bd1
                imagePullPolicy: IfNotPresent
                name: sriov-network-operator
                resources: {}
              nodeSelector:
                node-role.kubernetes.io/master: ""
              serviceAccountName: sriov-network-operator
              tolerations:
              - effect: NoSchedule
                key: node-role.kubernetes.io/master
                operator: Exists
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: false
    type: AllNamespaces
  keywords:
  - network
  - sr-iov
  - sriov
  labels:
    olm-owner-enterprise-app: sriov-network-operator
    olm-status-descriptors: sriov-network-operator.v4.9.0
  links:
  - name: Source Code
    url: https://github.com/k8snetworkplumbingwg/sriov-network-operator
  maintainers:
  - email: support@redhat.com
    name: Red Hat
  provider:
    name: Red Hat
  version: 4.9.0
